$progressShadowColor: $secondaryColor;
$backgroundColor-bar-orange: linear-gradient(90deg, #ffb700, #ff6e1a);
$backgroundColor-bar-blue: rgb(70, 150, 208); //rgb(1, 173, 183);
$borderRadius-progress: 2px;

$backgroundColor-bar-green: #36d253;
$backgroundColor-bar-deepOrange: #fda811;
$backgroundColor-bar-deepBlue: #02aab4;
//$backgroundColor-bar-green: rgba(1,1,1,1);

.progress {
  position: relative;
  height: 10px;
  width: 100%;
  border-radius: $borderRadius-progress;
  margin-top: $marginMini/2;
  &-rounded {
    border-radius: 10px;
    .progress {
      &-bar {
        border-radius: 10px;
      }
      &-shadow {
        border-radius: 10px;
      }
    }
  }
  &.small {
    height: 1px;
  }
  &-shadow {
    position: absolute;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    background-color: $progressShadowColor;
    border-radius: $borderRadius-progress;
  }
  &-bar {
    transition: width $transitionTime ease-in;
    position: absolute;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    border-radius: $borderRadius-progress;
    &.orange {
      background: $backgroundColor-bar-orange;
    }
    &.blue {
      background: $backgroundColor-bar-blue;
    }
    &.green {
      background: $backgroundColor-bar-green;
    }
    &.deepBlue {
      background-color: $backgroundColor-bar-deepBlue;
    }
    &.deepOrange {
      background-color: $backgroundColor-bar-deepOrange;
    }
  }
  &-circle {
    margin: auto;
    &_wrapper {
      margin-top: $marginLarge * 2;
    }
    &_inner {
      position: relative;
    }
    &_title {
      text-align: center;
      text-transform: uppercase;
      margin: $marginDefault 0px;
    }
    &_text {
      position: absolute;
      top: 50%;
      left: 0;
      width: 100%;
      text-align: center;
      margin: 0;
      transform: translateY(-50%);
      font-size: 2rem;
      font-weight: bold;
      span {
        font-size: 1rem;
        padding-left: $paddingMini / 2;
      }
    }
  }
}
